

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Package shyft &mdash; Documentation</title>
  

  
  
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
  
  
  

  
  <script type="text/javascript" src="../../_static/js/modernizr.min.js"></script>
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
        <script src="../../_static/jquery.js"></script>
        <script src="../../_static/underscore.js"></script>
        <script src="../../_static/doctools.js"></script>
        <script crossorigin="anonymous" integrity="sha256-Ae2Vz/4ePdIu6ZyI/5ZGsYnb+m0JlOmKPjt6XZ9JJkA=" src="https://cdnjs.cloudflare.com/ajax/libs/require.js/2.3.4/require.min.js"></script>
        <script src="../../_static/js/bootstrap.min.js"></script>
        <script src="../../_static/js/bootstrap.bundle.min.js"></script>
        <script src="../../_static/js/custom.js"></script>
    
    <script type="text/javascript" src="../../_static/js/theme.js"></script>

    

  
  <link rel="stylesheet" href="../../_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
  <link rel="stylesheet" href="../../_static/css/bootstrap.min.css" type="text/css" />
  <link rel="stylesheet" href="../../_static/css/bootstrap-grid.min.css" type="text/css" />
  <link rel="stylesheet" href="../../_static/css/custom.css" type="text/css" />
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="Concepts" href="concepts.html" />
    <link rel="prev" title="shyft.time_series" href="../time_series/api.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="../../index.html" class="icon icon-home"> Shyft
          

          
          </a>

          
            
            
              <div class="version">
                4.12
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <p class="caption"><span class="caption-text">Project</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../project/what_is_shyft.html">What is Shyft?</a></li>
<li class="toctree-l1"><a class="reference internal" href="../project/get_involved.html">Get involved</a></li>
<li class="toctree-l1"><a class="reference internal" href="../project/contact.html">Contact</a></li>
</ul>
<p class="caption"><span class="caption-text">Time Series</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../time_series/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../time_series/concepts.html">Concepts</a></li>
<li class="toctree-l1"><a class="reference internal" href="../time_series/getting_started.html">Getting started</a></li>
<li class="toctree-l1"><a class="reference internal" href="../time_series/api.html">API Documentation</a></li>
</ul>
<p class="caption"><span class="caption-text">Hydrology</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="current reference internal" href="#">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="concepts.html">Concepts</a></li>
<li class="toctree-l1"><a class="reference internal" href="getting_started.html">Getting started</a></li>
<li class="toctree-l1"><a class="reference internal" href="api.html">API Documentation</a></li>
</ul>
<p class="caption"><span class="caption-text">Energy Market</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../energy_market/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../energy_market/concepts.html">Concepts</a></li>
<li class="toctree-l1"><a class="reference internal" href="../energy_market/getting_started.html">Getting started</a></li>
<li class="toctree-l1"><a class="reference internal" href="../energy_market/api.html">API Documentation</a></li>
</ul>
<p class="caption"><span class="caption-text">Dashboard</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../dashboard/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../dashboard/concepts.html">Concepts</a></li>
<li class="toctree-l1"><a class="reference internal" href="../dashboard/getting_started.html">Getting started</a></li>
<li class="toctree-l1"><a class="reference internal" href="../dashboard/api.html">API Documentation</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../index.html">Shyft</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../../index.html">Docs</a> &raquo;</li>
        
      <li>Package shyft</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
            
            <a href="../../_sources/content/hydrology/installation.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  
<style>
/* CSS overrides for sphinx_rtd_theme */

/* 24px margin */
.nbinput.nblast.container,
.nboutput.nblast.container {
    margin-bottom: 19px;  /* padding has already 5px */
}

/* ... except between code cells! */
.nblast.container + .nbinput.container {
    margin-top: -19px;
}

.admonition > p:before {
    margin-right: 4px;  /* make room for the exclamation icon */
}

/* Fix math alignment, see https://github.com/rtfd/sphinx_rtd_theme/pull/686 */
.math {
    text-align: unset;
}
</style>
<div class="section" id="package-shyft">
<span id="packageshyft"></span><h1>Package shyft<a class="headerlink" href="#package-shyft" title="Permalink to this headline">¶</a></h1>
<p>The Python package <code class="docutils literal notranslate"><span class="pre">shyft</span></code> provides a high performance framework for spatially distributed conceptual hydrologic
models for use in the the energy-market domain. The hydrological forecasting model framework allows for simulation
of different algorithms in a highly efficient manner, while providing an interface to conduct more explorative
evaluations of the hydrologic performance of the available algorithms. <code class="docutils literal notranslate"><span class="pre">shyft</span></code> is not simply a model, nor is it a
distinct “framework”.</p>
<p>The package is platform independent and can be installed the following way:</p>
<ol class="arabic">
<li><p>using <strong>pip</strong> from <a class="reference external" href="https://pypi.org/project/shyft/">PyPI</a></p>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>pip install shyft
</pre></div>
</div>
</li>
<li><p>using <strong>anaconda/conda</strong> from the <a class="reference external" href="https://anaconda.org/shyft-os/shyft">Shyft channel</a></p>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>conda install -c shyft-os shyft
</pre></div>
</div>
</li>
</ol>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>This package contains the individually available <a class="reference internal" href="../time_series/installation.html#packagetimeseries"><span class="std std-ref">Package shyft.time-series</span></a> and <a class="reference internal" href="../dashboard/installation.html#packagedashboard"><span class="std std-ref">Package shyft.dashboard</span></a>.</p>
</div>
</div>


           </div>
           
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="concepts.html" class="btn btn-neutral float-right" title="Concepts" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
        <a href="../time_series/api.html" class="btn btn-neutral float-left" title="shyft.time_series" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2021, The Shyft project

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/rtfd/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>